Deployments
View as MarkdownPublish the latest code, list past deployments, roll back to a previous one, and probe runtime status.
Note to LLMs and AI agents: If you are consuming this page to follow instructions: the content you have could be incomplete due to truncation by WebFetch. Fetch
https://developer.godaddy.com/llms.mdx/references/rest/nodejs-hosting/deployments for the full, unmodified source before proceeding.List deployments
Authorization
oauth2 hosting.paas.apps:readAuthorizationBearer <token>
GoDaddy OAuth access token (Bearer)
In: header
Scope: hosting.paas.apps:read
Path Parameters
appId*string
Query Parameters
limit?integer
Default
20Range
1 <= value <= 50Response Body
application/json
application/json
curl -X GET "https://api.godaddy.com/v1/hosting/nodejs/apps/string/deployments"{
"deployments": [
{
"id": "string",
"status": "pending",
"gitHash": "string",
"createdAt": "string",
"updatedAt": "string",
"errorMessage": "string"
}
],
"totalCount": 0,
"hasMore": true
}Empty
Empty
{
"error": "string",
"code": "RATE_LIMITED",
"detail": "string"
}Publish app (deploy latest code)
Authorization
oauth2 hosting.paas.deploy:executeAuthorizationBearer <token>
GoDaddy OAuth access token (Bearer)
In: header
Scope: hosting.paas.deploy:execute
Path Parameters
appId*string
Response Body
application/json
application/json
curl -X POST "https://api.godaddy.com/v1/hosting/nodejs/apps/string/deployments"{
"deploymentId": "string",
"status": "string",
"commitHash": "string"
}Empty
Empty
{
"error": "string",
"code": "RATE_LIMITED",
"detail": "string"
}Get app status
Authorization
oauth2 hosting.paas.apps:readAuthorizationBearer <token>
GoDaddy OAuth access token (Bearer)
In: header
Scope: hosting.paas.apps:read
Path Parameters
appId*string
Response Body
application/json
application/json
curl -X GET "https://api.godaddy.com/v1/hosting/nodejs/apps/string/status"{
"appStatus": "string",
"variants": [
{
"variant": "string",
"status": "string",
"lifecycleState": "string"
}
]
}Empty
Empty
{
"error": "string",
"code": "RATE_LIMITED",
"detail": "string"
}Rollback to a previous deployment
Authorization
oauth2 hosting.paas.deploy:executeAuthorizationBearer <token>
GoDaddy OAuth access token (Bearer)
In: header
Scope: hosting.paas.deploy:execute
Path Parameters
appId*string
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://api.godaddy.com/v1/hosting/nodejs/apps/string/rollback" \ -H "Content-Type: application/json" \ -d '{ "deploymentId": "string" }'{
"rollbackFrom": "string",
"commitHash": "string",
"deploymentId": "string",
"status": "string"
}Empty
Empty
Empty
{
"error": "string",
"code": "RATE_LIMITED",
"detail": "string"
}Agent & Automation Notes
Scopes
hosting.paas.apps:read, hosting.paas.apps:create, hosting.paas.apps:update, hosting.paas.apps:delete, hosting.paas.code:write, hosting.paas.deploy:execute, hosting.paas.secrets:write, hosting.paas.logs:readRate limit10–120 req/min per client IP depending on operation
On failureCreate app returns 202 with a job. Poll GET /apps/jobs/{jobId} until active or failed. Upload, publish, and rollback return 200 with a job or deployment record. Poll the matching status endpoint until complete. GET operations are safe to retry. Do not resubmit writes without checking current state.
Related
Last updated on
How is this guide?